OGRE-Next: Ogre::Volume::CSGOperationSource Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Volume::CSGOperationSource Class Reference

Abstract operation volume source holding two sources as operants. More...

`#include <OgreVolumeCSGSource.h>`

Inheritance diagram for Ogre::Volume::CSGOperationSource:
[legend]

## Public Member Functions
virtual const Source * | getSourceA () const
| Gets the first operator source.
virtual const Source * | getSourceB () const
| Gets the second operator source.
virtual void | setSourceA (Source *a)
| Sets the first operator source.
virtual void | setSourceB (Source *b)
| Sets the second operator source.
Public Member Functions inherited from Ogre::Volume::Source
virtual | ~Source ()
| Destructor.
bool | getFirstRayIntersection (const Ray &ray, Vector3 &result, Real scale=(Real) 1.0, size_t maxIterations=5000, Real maxDistance=(Real) 10000.0) const
| Gets the first intersection of a ray with the volume.
virtual Real | getValue (const Vector3 &position) const =0
| Gets the density value at a specific position.
virtual Vector4 | getValueAndGradient (const Vector3 &position) const =0
| Gets the density value and gradient at a specific position.
Real | getVolumeSpaceToWorldSpaceFactor () const
| Gets a factor to come from volume coordinate to world coordinate.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, const String &file)
| Serializes a volume source to a discrete grid file with deflated compression.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, Real maxClampedAbsoluteDensity, const String &file)
| Same as the other serialize function but with a user definable maximum absolute density value.

## Additional Inherited Members
Static Public Attributes inherited from Ogre::Volume::Source
static const size_t | SERIALIZATION_CHUNK_SIZE
| The amount of items being written as one chunk during serialization.
static const uint32 | VOLUME_CHUNK_ID
| The id of volume files.
static const uint16 | VOLUME_CHUNK_VERSION
| The version of volume files.

## Detailed Description

Abstract operation volume source holding two sources as operants.

## Member Function Documentation

## ◆ getSourceA()

virtual const Source * Ogre::Volume::CSGOperationSource::getSourceA | ( |  | ) | const
| virtual

Gets the first operator source.

Returns
  The first operator source.

## ◆ getSourceB()

virtual const Source * Ogre::Volume::CSGOperationSource::getSourceB | ( |  | ) | const
| virtual

Gets the second operator source.

Returns
  The second operator source.

## ◆ setSourceA()

virtual void Ogre::Volume::CSGOperationSource::setSourceA | ( | Source * | a | ) |
| virtual

Sets the first operator source.

Parameters

  a | The first operator source.

## ◆ setSourceB()

virtual void Ogre::Volume::CSGOperationSource::setSourceB | ( | Source * | b | ) |
| virtual

Sets the second operator source.

Parameters

  b | The second operator source.

The documentation for this class was generated from the following file:

- OgreVolumeCSGSource.h